MySQL yum install fails due to ARCH packages not being resolved (Doc ID 1982670.1)

Last updated on MARCH 13, 2017

Applies to:

MySQL Server - Version 5.6 and later
Information in this document applies to any platform.

Symptoms

 When attempting to install mysql-server using YUM on a 64bit machine. If the 32bit package is already installed, YUM will not currently check the architecture version;

  

It can be sees from above that the installation fails due to a libaio requirement not being met, however it is clear that libaio is installed on the system.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms